---
sidebar_position: 4
description: Rename storage and other functions to work with Bitrix24 in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Bitrix24]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Rename storage
 Change storage name (for app storage only, see. GetAppStorage)



`Function RenameStorage(Val URL, Val StorageID, Val Name, Val Token = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | URL | --url | String | &#x2714; | URL of webhook or a Bitrix24 domain, when token used |
  | StorageID | --storageid | String, Number | &#x2714; | Storage ID |
  | Name | --title | String | &#x2714; | New storage name |
  | Token | --token | String | &#x2716; | Access token, when app auth method used |

  
  Returns:  Map Of KeyAndValue - serialized JSON of answer from Bitrix24 API

:::tip
Method at API documentation: [disk.storage.rename](https://dev.1c-bitrix.ru/rest_help/disk/storage/disk_storage_rename.php)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    Name      = "New storage name";
    URL       = "b24-ar17wx.bitrix24.by";
    Token     = "6ad03969006e9f06006b12e400000001000...";
    StorageID = "18";

    Result = OPI_Bitrix24.RenameStorage(URL, StorageID, Name, Token);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint bitrix24 RenameStorage \
             --url "b24-ar17wx.bitrix24.by" \
             --storageid "18" \
             --title "New storage name" \
             --token "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint bitrix24 RenameStorage ^
             --url "b24-ar17wx.bitrix24.by" ^
             --storageid "18" ^
             --title "New storage name" ^
             --token "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "result": {
  "ID": "18",
  "NAME": "New storage name",
  "CODE": null,
  "MODULE_ID": "disk",
  "ENTITY_TYPE": "restapp",
  "ENTITY_ID": "2",
  "ROOT_OBJECT_ID": "464"
 },
 "time": {
  "start": 1765396374,
  "finish": 1765396374.7317,
  "duration": 0.731698036193848,
  "processing": 0,
  "date_start": "2025-12-10T19:52:54+00:00",
  "date_finish": "2025-12-10T19:52:54+00:00",
  "operating_reset_at": 1765396974,
  "operating": 0
 }
}
```
